# DataExchange
TKSTEPBase
StepShape

# StepShape_BoxedHalfSpace Class Reference

`#include <StepShape_BoxedHalfSpace.hxx>`

Inheritance diagram for StepShape_BoxedHalfSpace:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_BoxedHalfSpace ()
| Returns a BoxedHalfSpace .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Surface)&aBaseSurface, const Standard_Boolean aAgreementFlag)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Surface)&aBaseSurface, const Standard_Boolean aAgreementFlag, const Handle(StepShape_BoxDomain)&aEnclosure)
Standard_EXPORT void | SetEnclosure (const Handle(StepShape_BoxDomain)&aEnclosure)
Standard_EXPORT Handle_StepShape_BoxDomain | Enclosure () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_BoxDomain | enclosure

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_BoxedHalfSpace::StepShape_BoxedHalfSpace | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_BoxDomain StepShape_BoxedHalfSpace::Enclosure | ( |  | ) | const

Standard_EXPORT const StepShape_BoxedHalfSpace::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_HalfSpaceSolid.

virtual Standard_EXPORT void StepShape_BoxedHalfSpace::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Surface)& | aBaseSurface,
|  | const Standard_Boolean | aAgreementFlag,
|  | const Handle(StepShape_BoxDomain)& | aEnclosure
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_BoxedHalfSpace::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Surface)& | aBaseSurface,
|  | const Standard_Boolean | aAgreementFlag
| ) | `[virtual]`

| Reimplemented from StepShape_HalfSpaceSolid.

Standard_EXPORT void StepShape_BoxedHalfSpace::SetEnclosure | ( | const Handle(StepShape_BoxDomain)& | aEnclosure | ) |

## Field Documentation

Handle_StepShape_BoxDomain StepShape_BoxedHalfSpace::enclosure `[private]`

The documentation for this class was generated from the following file:

- StepShape_BoxedHalfSpace.hxx